  <div class="row">
    <div class="col-sm-12">
      <table class="table table-striped table-hover">
        <thead>
          <tr class="row tableHead">
            <th class="col-sm-1 headRow"><i class="fas fa-user-circle" title="Avatar"></i></th>
            <th class="col-sm-2 headRow"><i class="fas fa-user-edit" title="Author"></i></th>
            <th class="col-sm-4 headRow"><i class="fas fa-comment-alt" title="Topic"></i></th>
            <th class="col-sm-2 headRow"><i class="fas fa-clock" title="Created"></i></th>
            <th class="col-sm-1 headRow"><i class="fas fa-thumbs-up" title="Likes"></i></th>
            <th class="col-sm-1 headRow"><i class="fas fa-thumbs-down" title="Dislkes"></i></th>
            <th class="col-sm-1 headRow"><i class="fas fa-lock" title="Status"></i></th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let post of posts" class="row">
            <td class="col-sm-1"><img
                src="https://cdn-images-1.medium.com/max/1200/1*MccriYX-ciBniUzRKAUsAw.png"></td>
            <td class="authorName col-sm-2 font-weight-bold text-center">{{ post.user }}</td>
            <td class="col-sm-4"><a class="link font-weight-bold" [routerLink]="['/posts', post.id]"
                routerLinkActive="active">{{ post.title }}</a></td>
            <td class="col-sm-2 font-weight-light text-center"><small>
              {{ post.updatedAt | date:'E, dd MMM  h:mm,  y'}}</small></td>
            <td class="col-sm-1 text-center">{{ post.likedBy }}</td>
            <td class="col-sm-1 text-center">{{ post.dislikedBy }}</td>
            <td class="col-sm-1 text-center">
              <div *ngIf="post.isLocked"><i class="fas fa-lock"></i></div>
              <div *ngIf="!post.isLocked"><i class="fas fa-unlock"></i></div>
            </td>
          </tr>
        </tbody>
      </table>
    </div>  
  </div>    